summaryrefslogtreecommitdiff
path: root/gitlab-ci/clientdata/testxml.sh
diff options
context:
space:
mode:
Diffstat (limited to 'gitlab-ci/clientdata/testxml.sh')
-rwxr-xr-xgitlab-ci/clientdata/testxml.sh45
1 files changed, 45 insertions, 0 deletions
diff --git a/gitlab-ci/clientdata/testxml.sh b/gitlab-ci/clientdata/testxml.sh
new file mode 100755
index 0000000..64915b4
--- /dev/null
+++ b/gitlab-ci/clientdata/testxml.sh
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+cd clientdata
+rm -rf public
+mkdir public
+mkdir shared
+echo >shared/error.log
+echo ${CI_BUILD_ID} >shared/buildid.log
+
+function gitclone {
+ git clone $*
+ if [ "$?" != 0 ]; then
+ sleep 1s
+ git clone $*
+ if [ "$?" != 0 ]; then
+ sleep 3s
+ git clone $*
+ fi
+ fi
+}
+
+cd ..
+ln -s clientdata client-data
+
+cd tools/testxml
+
+./xsdcheck.sh
+export RES=$(cat errors.txt)
+if [[ -n "${RES}" ]]; then
+ echo "xml check failed"
+ echo "xml check failed" >../../clientdata/shared/error.log
+ echo ${RES} >>../../clientdata/shared/error.log
+ cat ../../clientdata/shared/error.log
+ exit 1
+fi
+
+echo >../../clientdata/shared/error.log
+./testxml.py silent >../../clientdata/shared/error.log
+if [ "$?" != 0 ]; then
+ echo "test xml error"
+ cat ../../clientdata/shared/error.log
+ exit 1
+fi
+
+echo >../../clientdata/shared/error.log